Issue #4 wontfix

thg log doesn't work on Linux

Anonymous created an issue

thg log crash with the following error message on SuSe Linux 11.2. Other commands like thg sync work normally.



Please report this bug to Mercurial version (1.6.3+2-b10b07a821c3). TortoiseHg version (1.1.2+225-00be89c30b34) Command: log CWD: /home/user/bin/repos/thg Extensions loaded: convert, mercurial_keyring, purge Python version: 2.6.2 (r262:71600, Jun 17 2010, 13:37:18) [GCC 4.4.1 [gcc-4_4-branch revision 150839]] Traceback (most recent call last): File "/home/user/bin/repos/thg/tortoisehg/hgqt/", line 400, in call dlg = dlgfunc(ui, args, *opts) File "/home/user/bin/repos/thg/tortoisehg/hgqt/", line 737, in run return Workbench(ui, repo) File "/home/user/bin/repos/thg/tortoisehg/hgqt/", line 54, in init self.setupUi() File "/home/user/bin/repos/thg/tortoisehg/hgqt/", line 177, in setupUi a.setShortcut(QKeySequence.Quit) AttributeError: type object 'QKeySequence' has no attribute 'Quit'


Now that seems like a version conflict (of Qt 4.5.3, PyQt 4.6.1?) to me, like for example using features that were not available in older versions. Other working commands seem to restrict themselves to a more narrow feature set.

Anyway, if your package management system gives use some specific versions of some libraries, then setting up a proper configuration is rather painful and it is not what a regular user would want to do.

Comments (1)

  1. Steve Borho

    Minimum versions of PyQt and Qt are listed on the Wiki.

    There's very little interest in supported older versions of either, especially before the product is stable.

  2. Log in to comment